﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private Dialog As B4XDialog
	Private PanelConteudo As B4XView
	Private numero As Int
	
	Private AnoMesSelecionado As String
	Private MesSelecionado As String
	
	Private ButtonCancelar As B4XView
	Private ButtonOk As B4XView
	Private Label0 As B4XView
	Private Label1 As B4XView
	Private Label10 As B4XView
	Private Label11 As B4XView
	Private Label2 As B4XView
	Private Label3 As B4XView
	Private Label4 As B4XView
	Private Label5 As B4XView
	Private Label6 As B4XView
	Private Label7 As B4XView
	Private Label8 As B4XView
	Private Label9 As B4XView
	Private LabelAnoMesAno As B4XView
	Private LabelAnoMesAnterior As B4XView
	Private LabelAnoMesProximo As B4XView
End Sub

Public Sub Initialize
	
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Dialog.Initialize(Root)
	'remove the title bar. It will generarte an error but you can ignore it
	Try
		Dialog.TitleBar.RemoveViewFromParent 
	Catch
		Log(LastException)
	End Try
	
	'start month and date
	AnoMesSelecionado = "Jan/2021"
	
End Sub


Private Sub Button1_Click

	Dim x As B4XView = xui.CreatePanel("")
	x.Color = xui.Color_Black
	x.SetLayoutAnimated(0, 0, 0,240dip, 100%y)
	x.LoadLayout("dialoganomes")
	
	x.Height = PanelConteudo.Height+20dip
	
	Dim anomes() As String = Regex.Split("/",AnoMesSelecionado)
	
	AtualizaMesSelecionado(anomes(0))
	MesSelecionado = anomes(0)
	LabelAnoMesAno.Text = anomes(1)
	
	Dialog.PutAtTop = True 'put the dialog at the top of the screen
	Dialog.BorderWidth = 0	
	Dialog.BorderCornersRadius = 0
	Dialog.BorderColor = Colors.RGB(255,217,102)
	Dialog.BackgroundColor = Colors.Transparent
	Dialog.ButtonsOrder = Array As Int(xui.DialogResponse_Negative, xui.DialogResponse_Positive)

	
	Dim sf As Object = Dialog.ShowCustom(x, "", "", "")
	Wait For (sf) Complete (Result As Int)

	If Result = xui.DialogResponse_Positive Then
		AnoMesSelecionado = MesSelecionado & "/" & LabelAnoMesAno.Text
	End If
End Sub




Private Sub ButtonOk_Click
	Dialog.Close(xui.DialogResponse_Positive)
End Sub


Private Sub ButtonCancelar_Click
	Dialog.Close(xui.DialogResponse_Negative)
End Sub

'when user click an one month
private Sub LabelMeses_Click
	Dim s As B4XView = Sender
	AtualizaMesSelecionado(s.Text)
	
End Sub


'update label colors whe user click an one month
Private Sub AtualizaMesSelecionado(mes As String)
	Label0.Color = Colors.ARGB(0,0,0,0)
	Label1.Color = Colors.ARGB(0,0,0,0)
	Label2.Color = Colors.ARGB(0,0,0,0)
	Label3.Color = Colors.ARGB(0,0,0,0)
	Label4.Color = Colors.ARGB(0,0,0,0)
	Label5.Color = Colors.ARGB(0,0,0,0)
	Label6.Color = Colors.ARGB(0,0,0,0)
	Label7.Color = Colors.ARGB(0,0,0,0)
	Label8.Color = Colors.ARGB(0,0,0,0)
	Label9.Color = Colors.ARGB(0,0,0,0)
	Label10.Color = Colors.ARGB(0,0,0,0)
	Label11.Color = Colors.ARGB(0,0,0,0)
	Select mes
		Case "Jan"
			Label0.Color = Colors.RGB(231,196,96)
		Case "Fev"
			Label1.Color = Colors.RGB(231,196,96)
		Case "Mar"
			Label2.Color = Colors.RGB(231,196,96)
		Case "Abr"
			Label3.Color = Colors.RGB(231,196,96)
		Case "Mai"
			Label4.Color = Colors.RGB(231,196,96)
		Case "Jun"
			Label5.Color = Colors.RGB(231,196,96)
		Case "Jul"
			Label6.Color = Colors.RGB(231,196,96)
		Case "Ago"
			Label7.Color = Colors.RGB(231,196,96)
		Case "Set"
			Label8.Color = Colors.RGB(231,196,96)
		Case "Out"
			Label9.Color = Colors.RGB(231,196,96)
		Case "Nov"
			Label10.Color = Colors.RGB(231,196,96)
		Case "Dez"
			Label11.Color = Colors.RGB(231,196,96)
		Case Else
	End Select
	
	MesSelecionado = mes
	
End Sub


'previous year
Private Sub LabelAnoMesAnterior_Click
	numero = LabelAnoMesAno.Text - 1
	LabelAnoMesAno.Text = numero
End Sub

'next year
Private Sub LabelAnoMesProximo_Click
	numero = LabelAnoMesAno.Text + 1
	LabelAnoMesAno.Text = numero
End Sub

